import { jsx } from '@emotion/react';
import type { IntlShape } from 'react-intl-next';
import type { Node as PMNode } from '@atlaskit/editor-prosemirror/model';
import type { EditorView } from '@atlaskit/editor-prosemirror/view';
type CommentBadgeProps = {
    intl: IntlShape;
    mediaNode: PMNode | null;
    view: EditorView;
    mediaElement?: HTMLElement;
    onClick: () => void;
};
export declare const CommentBadge: ({ intl, mediaNode, mediaElement, onClick, }: CommentBadgeProps) => jsx.JSX.Element;
export {};
